Page MenuHomePhabricator

Prepare and check storage layer for atjwiki
Closed, ResolvedPublic

Description

Please prepare and check storage layer, labs, backups and dumps for the future atj.wikipedia.org. Wiki will be public, so the wiki should be replicated to labs

Event Timeline

Reedy created this task.Jun 12 2017, 6:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 6:28 PM
Marostegui added a subscriber: Marostegui.EditedJun 13 2017, 6:39 AM

If this is going to be a public Wiki, there is nothing that the DBAs have to do apart from sanitizing db1069, db1095 and labs.
The only pending thing would be the table views created by cloud-services-team once the tables are in place.

Marostegui triaged this task as Normal priority.Jun 13 2017, 6:40 AM
Marostegui moved this task from Triage to Blocked external/Not db team on the DBA board.

Wiki has been created!

Youppiii.

Lol. Thanks a lot Reedy.
Is the content from incubator will follow?

Is the content from incubator will follow?

"we" don't usually do that. Usually the incubator guys do, so MF-Warburg or SPQRobin will do it as per https://incubator.wikimedia.org/wiki/Incubator:Site_creation_log

Marostegui added a comment.EditedJun 15 2017, 5:29 AM

Hi,

I have sanitized this wiki on sanitarium and sanitarium2 and checked that it sanitized labs servers.
cloud-services-team can you guys go ahead and create the views on both the old and new labs servers?

bd808 added a subscriber: bd808.Jun 15 2017, 10:32 PM

@Marostegui need some help still: pymysql.err.OperationalError: (1044, "Access denied for user 'maintainviews'@'localhost' to database 'atjwiki_p'"). That's from labsdb1009 but I imagine the others have the same problem.

Restricted Application added a project: User-bd808. · View Herald TranscriptJun 15 2017, 10:32 PM

Similar to: T168021#3353382 I did:

GRANT SELECT, SHOW VIEW ON `atjwiki\_p`.* to labsdbuser;

And then ran the script: sudo /usr/local/sbin/maintain-views --databases atjwiki and it worked on labsdb1009.
I will check the other ones too.

Marostegui closed this task as Resolved.Jun 16 2017, 5:24 AM
Marostegui claimed this task.

And views created on labsdb1010 and 1011 after adding the grant.
Also created on labsdb1001 and labsdb1003

This comment was removed by Marostegui.